LibreOffice LibreOffice 25.2 SDK API Reference

Public Member Functions | List of all members
XGridControlListener Interface Reference

specifies a listener which is to be notified about state changes in a grid control More...

`import"XGridControlListener.idl";`

Inheritance diagram for XGridControlListener:

## Public Member Functions
void | columnChanged ([in] ::com::sun::star::lang::EventObject event)
| called when the current column in a grid control changed More...
Public Member Functions inherited from XEventListener
void | disposing ([in] com::sun::star::lang::EventObject Source)
| gets called when the broadcaster is about to be disposed. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

specifies a listener which is to be notified about state changes in a grid control

See also
  XGridControl

Since
  OOo 3.1

## Member Function Documentation

## ◆ columnChanged()

void columnChanged | ( | [in] ::com::sun::star::lang::EventObject | event | ) |

called when the current column in a grid control changed

See also
  XGrid::getCurrentColumnPosition

The documentation for this interface was generated from the following file:

- com/sun/star/form/XGridControlListener.idl